org.apache.maven.scm.provider.tfs.command.consumer

## Class FileListConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.tfs.command.consumer.FileListConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

Direct Known Subclasses:
  ServerFileListConsumer

    public class FileListConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Field Summary

Fields
`protected String` `currentDir`

### Constructor Summary

Constructors
Constructor and Description
`FileListConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getFiles()`
`protected ScmFile` `getScmFile(String filename)`
`boolean` `hasBeenFed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentDir

    protected String currentDir

### Constructor Detail

#### FileListConsumer

    public FileListConsumer()

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getScmFile

    protected ScmFile getScmFile(String filename)

#### getFiles

    public List getFiles()

#### hasBeenFed

    public boolean hasBeenFed()